Logrotate generates slurm logs of the form.

* slurmctld.log-20201111.gz
* slurmsched.log-20201016.gz

This scripts copies the files to SQL_BK_DEST_HOST (using same logic as in the role
slurm_sql_bk ) and then deletes the files to avoid a disk building up).



EXAMPLE USAGE:

*ansible-playbook -i static --limit=monarch-mgmt1 slurm_bk.yml*

where slurm_bk.yml contains

~~~~
- hosts: 'ManagementNodes'
  gather_facts: True
  roles:
   - { role: slurm_mv_logs, copy_key: "True", BK_DEST_HOST: "118.138.235.215", BK_DEST_DIR: "/mnt/backup/monarch/slurm-logs", SLURM_LOG_DIR: "/mnt/slurm-logs", BK_DEST_USER: "YOURUSERNAME", MGR_BIN_DIR: "/root/bin", PRIVATE_KEY: slm_db_backup, PUBLIC_KEY: "files/slm_db_backup" }
~~~~

Meaning:
* **BK_DEST_HOST:** IP number of Machine where we store mysql dumps
* **BK_DEST_DIR:** Directory on backup machine for mysql dumps. Note this is owned by ec2-user and is manually created. It should be cluster-specific, i.e. different for each cluster
* **MGR_BIN_DIR:**          "/root/bin" #where the backup shell script exists  on Management Node
* **MGR_USER: "ec2-user"**  The user account on SQL_BK_DEST_HOST. Normally ec2-user but could be something else for security reasons
* **SLURM_LOG_DIR** as defined in slurm.yml in variable *slurmctlddebug*
